AnsweredAssumed Answered

ArcSOC Optimizer and the RPC server is unavailable error

Question asked by bensaunders on Oct 29, 2019
Latest reply on Nov 26, 2019 by arledu

We are currently running ArcGIS Monitor v10.7.1 and ArcGIS Enterprise v10.7.1. ArcGIS Server is installed on an Ubuntu v16.04 server. In setting up an ArcSOC Optimizer task, the test fails with the following error message:

 

Traceback (most recent call last): File "site-packages\wmi.py", line 1276, in connect File "site-packages\win32com\client\__init__.py", line 72, in GetObject File "site-packages\win32com\client\__init__.py", line 87, in Moniker pywintypes.com_error: (-2147023174, 'The RPC server is unavailable.', None, None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "ArcSOCOptimizer.py", line 11, in main File "Modules\Outputs\ReportBuilder.py", line 15, in __init__ File "Modules\Outputs\OutputBuilder.py", line 11, in __init__ File "Modules\Inputs\InputBuilder.py", line 27, in __init__ File "Modules\Inputs\arcWMI.py", line 9, in __init__ File "Modules\Inputs\arcWMI.py", line 17, in __GetArcSOCStatsMax File "Modules\Inputs\arcWMI.py", line 48, in __GetArcSOCCount File "site-packages\wmi.py", line 1290, in connect File "site-packages\wmi.py", line 241, in handle_com_error wmi.x_wmi: <x_wmi: Unexpected COM Error (-2147023174, 'The RPC server is unavailable.', None, None)> Traceback (most recent call last): File "site-packages\wmi.py", line 1276, in connect File "site-packages\win32com\client\__init__.py", line 72, in GetObject File "site-packages\win32com\client\__init__.py", line 87, in Moniker pywintypes.com_error: (-2147023174, 'The RPC server is unavailable.', None, None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "ArcSOCOptimizer.py", line 11, in main File "Modules\Outputs\ReportBuilder.py", line 15, in __init__ File "Modules\Outputs\OutputBuilder.py", line 11, in __init__ File "Modules\Inputs\InputBuilder.py", line 27, in __init__ File "Modules\Inputs\arcWMI.py", line 9, in __init__ File "Modules\Inputs\arcWMI.py", line 17, in __GetArcSOCStatsMax File "Modules\Inputs\arcWMI.py", line 48, in __GetArcSOCCount File "site-packages\wmi.py", line 1290, in connect File "site-packages\wmi.py", line 241, in handle_com_error wmi.x_wmi: <x_wmi: Unexpected COM Error (-2147023174, 'The RPC server is unavailable.', None, None)>

 

We have been currently monitoring that server box using a system counter for quite some time without issue. I also slugged my way past (I think) the authentication issues in getting the task built. In any case, the ArcGIS Monitor Credentials used also have sudo/admin privileges on the ArcGIS Server box.

 

Anyone have any thoughts on what to look at or how to proceed? Thanks for any assistance!

 

Ben

Outcomes